Quassel IRC - Bug #720

incorrect tray icon notification behaviour.
06/08/2009 03:01 PM - jussiO1

Status: Resolved Start date: 06/08/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.5-pre 0S: Any
Description

[15:58:06] <jussiO1> Sput: was wondering if this is same for you, you get a hilight, the tray icon glows, but doenst go away until you
click the tray icon, if you click the channel or buffer with the hilight it doesnt go away - IMHO, it should

[15:58:18] <Sput> hmmm

[15:58:19] -*- jussi01 wonders if you can follow that...

[15:58:23] <Sput> it should go away on focus change

[15:58:37] <Sput> or focus activation

[15:58:51] <Sput> which in a click-to-focus world might pose problems... hmmm

[15:59:12] <Sput> mind filing a bug for that? | think we could add a bufferswitch watcher for that :)

Associated revisions

Revision 231d30c66b4f52d239deb608f77a0ceb8034fbe9 - 09/10/2009 09:31 PM - Manuel Nickschas
Improve tray icon notification behavior

The tray icon now blinks as long as there are still buffers with unread highlights. As

added bonus, repeated clicks on the tray icon now switch to the next highlighted buffer in

line (rather than hiding the window).

Also, notifications (in KDE) will be properly closed as soon as you switch to the appropriate
buffer.

After all highlighted buffers have been visited, the icon stops blinking. Fixes #720.
Revision 231d30c6 - 09/10/2009 09:31 PM - Manuel Nickschas

Improve tray icon notification behavior

The tray icon now blinks as long as there are still buffers with unread highlights. As
added bonus, repeated clicks on the tray icon now switch to the next highlighted buffer in

line (rather than hiding the window).

Also, notifications (in KDE) will be properly closed as soon as you switch to the appropriate
buffer.

After all highlighted buffers have been visited, the icon stops blinking. Fixes #720.

History

#1 - 09/04/2009 03:09 PM - Sputnick
- Status changed from New to Confirmed

- Target version set to 0.5.0

#2 - 09/10/2009 09:29 PM - Sputnick
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset 231d30c66b4f52d239deb608f77a0ceb8034fbe9.
